/*
** Module   : terminal.h
** Abstract : Header file for text-based console functions.
**            This is used by terminal.c, terminal_(linix|win).c
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- --------------------------------Description-----------------------------------
** 001 EVL 20130724 Created initial version for console CHUI declarations.
*/

#include <ncurses.h>
#include <term.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <errno.h>
#include <signal.h>
#include <termios.h>
#include <fcntl.h>
#include <jni.h>

JNIEXPORT jint JNICALL getACSchar(jint);

JNIEXPORT jint JNICALL getAttribute(jint);

JNIEXPORT void JNICALL initConsole(JNIEnv *);

JNIEXPORT void JNICALL addArrayNative(JNIEnv *, jintArray, jint, jint);

JNIEXPORT void JNICALL addStringNative(JNIEnv *, jbyteArray, jint, jint, jint);

JNIEXPORT void JNICALL beepNative();

JNIEXPORT void JNICALL clearNative();

JNIEXPORT jboolean JNICALL hasColors();

JNIEXPORT jboolean JNICALL setCursorNative(jint, jint);

JNIEXPORT void JNICALL syncNative();

JNIEXPORT void JNICALL setTermType(JNIEnv *, jstring);

JNIEXPORT jstring JNICALL getTermType(JNIEnv *);

JNIEXPORT jboolean JNICALL setCursorStatus(JNIEnv *, jboolean);

JNIEXPORT jint JNICALL readKey();

JNIEXPORT jint JNICALL getx();

JNIEXPORT jint JNICALL gety();

JNIEXPORT void JNICALL resume();

JNIEXPORT void JNICALL suspend();

JNIEXPORT void JNICALL resetMode();

